Subject: Re: [dns-privacy] Warren Kumari's Yes on draft-ietf-dprive-padding-policy-05: (with COMMENT)

From: Alexander Mayrhofer <[email-masked]>
Date: Wed, 18 Jul 2018 16:50:41 +0200

Warren,

thanks for your review and COMMENTS. Responses below:

On Mon, Jun 18, 2018 at 10:28 PM, Warren Kumari <[email-masked]> wrote:
> Warren Kumari has entered the following ballot position for
> draft-ietf-dprive-padding-policy-05: Yes
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Firstly, thank you for writing this, and also for addressing Joe Clarke's
> OpsDir notes (and, obviously, thanks to Joe for the review!).
>
> I have a clarifying question and some nits:
> Section 4.2.2:
> " According to the limited empirical data available, Random Length Padding
> performs slightly worse than Block Length Padding." Performs slightly worse
> along what axis? I'm assuming "the server can answer less queries per second",
> but could also be "uses more RAM", "higher CPU", "explodes randomly", etc. I
> don't really think that this needs to be addressed, but if you are editing it
> anyway, and have an easy way to improve it...

The performance is related to the exposure of entropy to an attacker.
Good catch, i'll change that to "exposes slightly more entropy to the
attacker" - how does that sound?

> Other than that, some nits:
>
> 1: Section 3.  General Guidance
> "EDNS(0) options space: The maximum message length as dictated by protocol
> limitation limits the space for EDNS(0) options." This flows a little oddly -
> perhaps "The maximum message length as dictated by the protocol limits the
> space..." (unless the "limitation limits" entertains you...)

Changed, thanks.

> 2: Section  4.1:
> "Note that the recommendation above applies only if DNS transport is encrypted."
> I suggest "if the DNS transport..."

Changed.

best,
Alex

---

From: Warren Kumari <[email-masked]>
Date: Wed, 18 Jul 2018 11:18:05 -0400

> attacker" - how does that sound?

LGTM++
W

-- 
I don't think the execution is relevant when it was obviously a bad idea in
the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair of
pants.
   ---maf